## org.apache.mahout.clustering.fuzzykmeans
Class FuzzyKMeansClusterer

    java.lang.Object
      org.apache.mahout.clustering.fuzzykmeans.FuzzyKMeansClusterer

    public class FuzzyKMeansClusterer

extends Object

Constructor Summary
`FuzzyKMeansClusterer()`

Method Summary
`Vector` `computePi(Collection<SoftCluster> clusters, List<Double> clusterDistanceList)`
`double` `computeProbWeight(double clusterDistance, Iterable<Double> clusterDistanceList)` Computes the probability of a point belonging to a cluster
`void` `setM(double m)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuzzyKMeansClusterer

    public FuzzyKMeansClusterer()

Method Detail

### computePi

    public Vector computePi(Collection<SoftCluster> clusters,
                            List<Double> clusterDistanceList)

### computeProbWeight

    public double computeProbWeight(double clusterDistance,
                                    Iterable<Double> clusterDistanceList)

  Computes the probability of a point belonging to a cluster

### setM

    public void setM(double m)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.